Robotics Service Bus - Tasks #441
Version checking against RSB-Protocol
07/22/2011 04:29 PM - Anonymous

Status: Resolved Start date: 07/22/2011
Priority: High Due date:

Assignee: % Done: 100%
Category: Configuration Estimated time: 1.00 hour
Target version:

Description
Since RSB-Protocol is separate from the language client libraries (e.g. separated gar-installers), the RSB client libraries need to check
for compatibility with the installed RSB-Protocol version during configuration. To do:

1. Express RSB Protocol version in source:trunk/protocol/RSBProtocolConfig.cmake.in

2. Check RSB Protocol version during RSB client cmake configuration for compatibility

Associated revisions

Revision 6e9da79f - 07/23/2011 09:53 PM - J. Moringen
Added wire-format version check in protocol/RSBProtocolConfig-version.cmake.in
fixes #441
- protocol/CMakelLists.txt: added project version variables and a
wire-format version variable; configure and install new file
protocol/RSBProtocolConfig-version.cmake.in
- protocol/RSBProtocolConfig-version.cmake.in: new file; contains code
to check the requested wire-format version against the provided
wire-format version
- cpp/core/CMakelists.txt: request a specific RSBProtocol version in

order to enforce compatible protocol buffer descriptors

Revision b50f5219 - 07/23/2011 09:53 PM - J. Moringen
Added wire-format version check in protocol/RSBProtocolConfig-version.cmake.in
fixes #441
- protocol/CMakelLists.txt: added project version variables and a
wire-format version variable; configure and install new file
protocol/RSBProtocolConfig-version.cmake.in
- protocol/RSBProtocolConfig-version.cmake.in: new file; contains code
to check the requested wire-format version against the provided
wire-format version
- cpp/core/CMakelLists.txt: request a specific RSBProtocol version in

order to enforce compatible protocol buffer descriptors

History

#1 - 07/23/2011 10:00 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2124.
